Bug 817104 - (CVE-2012-2144) CVE-2012-2144 python-django-horizon: Horizon session fixation and reuse
CVE-2012-2144 python-django-horizon: Horizon session fixation and reuse
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120503,repor...
: Reopened, Security
Depends On: 818680 818681
Blocks: 817107
  Show dependency treegraph
 
Reported: 2012-04-27 13:55 EDT by Vincent Danen
Modified: 2016-03-04 07:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-28 03:05:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-04-27 13:55:03 EDT
Thomas Biege from SUSE reported a vulnerability in the OpenStack Dashboard (Horizon).  Under certain specific circumstances, it was possible to reuse session cookies from another user, possibly allowing access to unauthorized information and capabilities.
Comment 2 Vincent Danen 2012-05-03 13:56:02 EDT
Created python-django-horizon tracking bugs for this issue

Affects: fedora-17 [bug 818680]
Affects: epel-6 [bug 818681]
Comment 3 Vincent Danen 2012-05-28 12:54:58 EDT
This has been fixed in python-django-horizon-2012.1-4.el6 (EPEL6) and python-django-horizon-2012.1-3.fc17 (Fedora 17).

Note You need to log in before you can comment on or make changes to this bug.